package My::Interval;
use strict;
use warnings;
use Exporter qw(import);

our @EXPORT_OK = qw(interval intervaldebug);

sub interval {
	my ($stime, $etime) = @_;
	my ($shours,$sminutes,$ssecmill) = split(/:/,$stime);
	my ($sseconds,$smilliseconds) = split(/\./,$ssecmill);
	my $startingmilliseconds = $shours * 60 * 60 * 1000 + $sminutes * 60 * 1000 + $sseconds * 1000 + $smilliseconds;
	my ($ehours,$eminutes,$esecmill) = split(/:/,$etime);
	my ($eseconds,$emilliseconds) = split(/\./,$esecmill);
	my $endingmilliseconds = $ehours * 60 * 60 * 1000 + $eminutes * 60 * 1000 + $eseconds * 1000 + $emilliseconds;
	return $endingmilliseconds - $startingmilliseconds;
}


sub intervaldebug {
	my ($stime, $etime) = @_;
	print 'starting time: ' . $stime . "\n";
	print 'ending time: ' . $etime . "\n";
	my ($shours,$sminutes,$ssecmill) = split(/:/,$stime);
	print "starting hours: " . $shours . "\n";
	print "starting minutes: " . $sminutes . "\n";
	my ($sseconds,$smilliseconds) = split(/\./,$ssecmill);
	print "starting seconds: " . $sseconds . "\n";
	print "starting milliseconds: " . $smilliseconds . "\n";
	my $startingmilliseconds = $shours * 60 * 60 * 1000 + $sminutes * 60 * 1000 + $sseconds * 1000 + $smilliseconds;
	print "total starting time in milliseconds: " . $startingmilliseconds . "\n";
	
	my ($ehours,$eminutes,$esecmill) = split(/:/,$etime);
	print "ending hours: " . $ehours . "\n";
	print "ending minutes: " . $eminutes . "\n";
	my ($eseconds,$emilliseconds) = split(/\./,$esecmill);
	print "ending seconds: " . $eseconds . "\n";
	print "ending milliseconds: " . $emilliseconds . "\n";
	my $endingmilliseconds = $ehours * 60 * 60 * 1000 + $eminutes * 60 * 1000 + $eseconds * 1000 + $emilliseconds;
	print "total ending time in milliseconds: " . $endingmilliseconds . "\n";
	print  "Total Time Interval = " . ($endingmilliseconds - $startingmilliseconds) . "ms" . "\n";
	return $endingmilliseconds - $startingmilliseconds;
}